###

###

###

###

###

###

###

    CTERMID(3)          Linux Programmer's Manual          CTERMID(3)

    NAME
           ctermid - get controlling terminal name

    SYNOPSIS
           #include <stdio.h>

           char *ctermid(char *s);

    DESCRIPTION
           ctermid()  returns  a string which is the pathname for the
           current controlling terminal for this process.   If  s  is
           NULL,  a  static  buffer  is used, otherwise s points to a
           buffer used to hold the terminal pathname.   The  symbolic
           constant  L_ctermid is the maximum number of characters in
           the returned pathname.

    RETURN VALUE
           The pointer to the pathname.

    CONFORMS TO
           POSIX.1

    BUGS
           The path returned may not uniquely identify  the  control-
           ling terminal; it may, for example, be /dev/tty.

           It  is not assured that the program can open the terminal.

### SEE ALSO

ttyname,

###

    GNU                       April 6, 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0